Create Registration Flow for Browsers
This endpoint initializes a browser-based user registration flow. This endpoint will set the appropriate
GET /self-service/registration/browser
This endpoint initializes a browser-based user registration flow. This endpoint will set the appropriate cookies and anti-CSRF measures required for browser-based flows.
If this endpoint is opened as a link in the browser, it will be redirected to
selfservice.flows.registration.ui_url with the flow ID set as the query parameter ?flow=. If a valid user session
exists already, the browser will be redirected to urls.default_redirect_url.
If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the
case of an error, the error.id of the JSON response body can be one of:
session_already_available: The user is already signed in.
security_csrf_violation: Unable to fetch the flow because a CSRF violation occurred.
security_identity_mismatch: The requested ?return_to address is not allowed to be used. Adjust this in the configuration!
If this endpoint is called via an AJAX request, the response contains the registration flow without a redirect.
This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.
More information can be found at Ory Kratos User Login and User Registration Documentation.
Operation ID: createBrowserRegistrationFlow Tag: frontend
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
return_to | string | no | The URL to return the browser to after the flow was completed. |
login_challenge | string | no | Ory OAuth 2.0 Login Challenge. If set will cooperate with Ory OAuth2 and OpenID to act as an OAuth2 server / OpenID Provider. The value for this parameter comes from login_challenge URL Query parameter sent to your application (e.g. /registration?login_challenge=abcde). This feature is compatible with Ory Hydra when not running on the Ory Network. |
after_verification_return_to | string | no | The URL to return the browser to after the verification flow was completed. After the registration flow is completed, the user will be sent a verification email. Upon completing the verification flow, this URL will be used to override the default selfservice.flows.verification.after.default_redirect_to value. |
organization | string | no | An optional organization ID that should be used to register this user. This parameter is only effective in the Ory Network. |
identity_schema | string | no | An optional identity schema to use for the registration flow. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | registrationFlow | application/json, object |
| 303 | Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204. | - |
| default | errorGeneric | application/json, object |
Generated from /tmp/kratos-api.json at build time.